"use strict";

this.name = "bloomberg-market";
this.author = "spara";
this.description = "conversion of the old commodities.plist to the new market system";

this.$originalDefs = {
	"SE-station-Alloys-decrease" : {
		"alloys" : [0,0,42,1,1,17,31,31,0]
	},
	"SE-station-Alloys-increase" : {
		"alloys" : [0,0,150,1,1,17,31,31,0]
	},
	"SE-station-Computers-decrease" : {
		"computers" : [0,0,60,14,14,56,3,3,0]
	},
	"SE-station-Computers-increase" : {
		"computers" : [0,0,200,14,14,56,3,3,0]
	},
	"SE-station-Firearms-decrease" : {
		"firearms" : [0,0,10,13,1,60,7,3,0]
	},
	"SE-station-Firearms-increase" : {
		"firearms" : [0,0,155,13,10,50,7,7,0]
	},
	"SE-station-Food-decrease" : {
		"food" : [0,0,12,-1,2,25,1,1,0]
	},
	"SE-station-Furs-decrease" : {
		"furs" : [0,0,100,-9,-9,220,63,63,0]
	},
	"SE-station-Furs-increase" : {
		"furs" : [0,0,220,-9,-9,240,10,63,0]
	},
	"SE-station-Gem-stones-decrease" : {
		"gem_stones" : [0,0,25,-1,-1,250,15,15,2]
	},
	"SE-station-Gem-stones-increase" : {
		"gem_stones" : [0,0,90,-1,-1,250,15,15,2]
	},
	"SE-station-Gold-decrease" : {
		"gold" : [0,0,40,-1,-1,66,7,7,1]
	},
	"SE-station-Gold-increase" : {
		"gold" : [0,0,190,-1,-1,66,7,7,1]
	},
	"SE-station-Liquor/Wines-decrease" : {
		"liquor_wines" : [0,0,64,-5,-5,251,15,15,0]
	},
	"SE-station-Liquor/Wines-increase" : {
		"liquor_wines" : [0,0,180,-5,-5,251,15,15,0]
	},
	"SE-station-Minerals-decrease" : {
		"minerals" : [0,0,10,-1,-1,53,3,3,0]
	},
	"SE-station-Minerals-increase" : {
		"minerals" : [0,0,135,-1,-1,53,3,3,0]
	},
	"SE-station-Narcotics-decrease" : {
		"narcotics" : [0,0,10,5,5,40,20,5,0]
	},
	"SE-station-Platinum-decrease" : {
		"platinum" : [0,0,80,-2,-2,55,31,31,1]
	},
	"SE-station-Platinum-increase" : {
		"platinum" : [0,0,220,-2,-2,55,31,31,1]
	},
	"SE-station-Radioactives-decrease" : {
		"radioactives" : [0,0,20,-3,-3,80,7,7,0]
	},
	"SE-station-Radioactives-increase" : {
		"radioactives" : [0,0,150,-3,-3,2,7,7,0]
	},
	"SE-station-Slaves-decrease" : {
		"slaves" : [0,0,40,-5,-5,20,31,31,0]
	},
	"SE-station-Slaves-increase" : {
		"slaves" : [0,0,230,-5,-5,226,31,31,0]
	},
	"SE-station-Textiles-decrease" : {
		"textiles" : [0,0,5,-1,-1,10,3,3,0]
	},
	"SE-station-Textiles-increase" : {
		"textiles" : [0,0,100,-1,-1,10,3,3,0]
	}
}

this.updateLocalCommodityDefinition = function(goodDefinition, station) {
	var commodity = goodDefinition.key;
	//mission variable is set in the main script
	var oldDefs = this.$originalDefs[missionVariables.SE_market_key][commodity];

	//old style definition found for the good. calculate it the old way
	//only the price is changed
	if (oldDefs) {
		var market_base_price = oldDefs[2];
		var market_eco_adjust_price = oldDefs[3];
		var market_mask_price = oldDefs[6];
		var market_rnd = Math.floor(Math.random() * 256);

		var economy = system.economy;
		
		var price = (market_base_price + (market_rnd & market_mask_price) + (economy * market_eco_adjust_price)) & 255;
		price *= 0.4;

		goodDefinition.price = price * 10;
	}
	return goodDefinition;
};
